Subject: Re: bug#66503: 29.1; Problem rendering Arabic diacriticals

From: John Wiegley <[email-masked]>
Date: Thu, 12 Oct 2023 13:40:06 -0700

>>>>> Eli Zaretskii <[email-masked]> writes:

> Please also provide the text as text, so we could compare the rendering you
> see with what we see in other builds of Emacs. On macOS, which you seem to
> be using, Emacs uses the system text-shaping engine, which is different from
> HarfBuzz we use on most other platforms, so the rendering we see could be
> different.

I’m always surprised by how much I forget to add to a bug report.

The font is Scheherazade New (great font, btw):

  https://fonts.google.com/specimen/Scheherazade+New

Here is the text:

\ayat{زيرا مُجاهِدينِ کَعبِۀ فِينَا

به بِشارَتِ لَنَهْدِيَنَّهُمْ سُبُلَنَا

مَسرور اند}

-- 
John Wiegley                  GPG fingerprint = 4710 CF98 AF9B 327B B80F
http://newartisans.com                          60E1 46C4 BD1A 7AC1 4BA2